summaryrefslogtreecommitdiffstats
path: root/network/gtknetcat
diff options
context:
space:
mode:
author ponce <matteo.bernardini@sns.it>2010-09-20 19:24:25 -0400
committer Robby Workman <rworkman@slackbuilds.org>2010-09-21 22:09:42 -0500
commit37be336b27c6fca890f93760b057c9dffaf648e4 (patch)
treefb04d3b56acc861324f431e95f4716e8b70a2c10 /network/gtknetcat
parent75f2ad568a76b131b75575e8054e098dd819a01d (diff)
downloadslackbuilds-37be336b27c6fca890f93760b057c9dffaf648e4.tar.gz
slackbuilds-37be336b27c6fca890f93760b057c9dffaf648e4.tar.xz
network/gtknetcat: Added (netcat frontend)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'network/gtknetcat')
-rw-r--r--network/gtknetcat/README3
-rw-r--r--network/gtknetcat/doinst.sh3
-rw-r--r--network/gtknetcat/gtknetcat.SlackBuild89
-rw-r--r--network/gtknetcat/gtknetcat.info10
-rw-r--r--network/gtknetcat/slack-desc19
5 files changed, 124 insertions, 0 deletions
diff --git a/network/gtknetcat/README b/network/gtknetcat/README
new file mode 100644
index 0000000000..26485b6f7c
--- /dev/null
+++ b/network/gtknetcat/README
@@ -0,0 +1,3 @@
+gtknetcat (netcat frontend)
+
+GtkNetCat is a Graphic User Interface for netcat.
diff --git a/network/gtknetcat/doinst.sh b/network/gtknetcat/doinst.sh
new file mode 100644
index 0000000000..3857649f50
--- /dev/null
+++ b/network/gtknetcat/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+fi
diff --git a/network/gtknetcat/gtknetcat.SlackBuild b/network/gtknetcat/gtknetcat.SlackBuild
new file mode 100644
index 0000000000..f9111b981b
--- /dev/null
+++ b/network/gtknetcat/gtknetcat.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for gtknetcat
+
+# Written by Matteo Bernardini <matteo.bernardini {at} sns.it>
+# based on slackbuilds.org default template
+# generated by Grissiom's sbo-dev-helper
+
+PRGNAM=gtknetcat
+VERSION=${VERSION:-20100706_391ca56}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sh autogen.sh --prefix=/usr --sysconfdir=/etc
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS /usr/share/automake-1.11/COPYING ChangeLog NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/gtknetcat/gtknetcat.info b/network/gtknetcat/gtknetcat.info
new file mode 100644
index 0000000000..fcacd66f33
--- /dev/null
+++ b/network/gtknetcat/gtknetcat.info
@@ -0,0 +1,10 @@
+PRGNAM="gtknetcat"
+VERSION="20100706_391ca56"
+HOMEPAGE="http://www.lxde.org"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/lxde-git/gtknetcat-20100706_391ca56.tar.xz"
+MD5SUM="8d1c9cbf2d8a20ccd6b3c2f7716b75c8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@sns.it"
+APPROVED="dsomero"
diff --git a/network/gtknetcat/slack-desc b/network/gtknetcat/slack-desc
new file mode 100644
index 0000000000..65289b4910
--- /dev/null
+++ b/network/gtknetcat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gtknetcat: gtknetcat (netcat frontend)
+gtknetcat:
+gtknetcat: GtkNetCat is a Graphic User Interface for netcat.
+gtknetcat:
+gtknetcat: gtknetcat home: http://www.lxde.org
+gtknetcat:
+gtknetcat:
+gtknetcat:
+gtknetcat:
+gtknetcat:
+gtknetcat: